<?php

/**
 * Copyright (c) 2013, Kairat Bakytow
 * All rights reserved.

 * ATTENTION: This commercial software is intended for use with Oxwall Free Community Software http://www.oxwall.org/
 * and is licensed under Oxwall Store Commercial License.
 * Full text of this license can be found at http://www.oxwall.org/store/oscl
 */

OW::getPluginManager()->addPluginSettingsRouteName( 'smileys', 'smileys.admin' );

$plugin = OW::getPluginManager()->getPlugin( 'smileys' );
UTIL_File::copyDir( $plugin->getStaticDir() . 'images' . DS . 'smileys', $plugin->getUserFilesDir() . 'images' );

OW::getLanguage()->importPluginLangs( OW::getPluginManager()->getPlugin('smileys')->getRootDir() . 'langs.zip', 'smileys' );

if ( !OW::getConfig()->configExists('smileys', 'theme') )
{
    OW::getConfig()->addConfig( 'smileys', 'theme', 'smoothness' );
}
